return {
  "jose-elias-alvarez/null-ls.nvim",
  opts = function(_, config)
    local null_ls = require "null-ls"
    config.sources = {
      -- Set a formatter
      null_ls.builtins.formatting.stylua,
      null_ls.builtins.formatting.prettier,
      null_ls.builtins.formatting.deno_fmt.with {
        filetypes = { "markdown" },
      },
      null_ls.builtins.formatting.csharpier,
      null_ls.builtins.diagnostics.sqlfluff.with {
        extra_args = {
          "--dialect",
          "postgres",
          "--config",
          "/Users/kah/.config/sqlfluff/sqlc/config.toml",
        }, -- change to your dialect
      },
      null_ls.builtins.formatting.gofumpt,
      null_ls.builtins.formatting.goimports,
      null_ls.builtins.formatting.goimports_reviser,
      null_ls.builtins.formatting.golines,
      --null_ls.builtins.formatting.pg_format,
    }
    return config -- return final config table
  end,
}
